// Derived class for global background fit to the Sun.
// Created by Enrico Corsaro @ CEA - November 2015
// e-mail: emncorsaro@gmail.com
// Header file "GOLFThreeHarveyBackgroundModel.h"
// Implementations contained in "GOLFThreeHarveyBackgroundModel.cpp"


#ifndef GOLFTHREEHARVEYBACKGROUNDMODEL_H
#define GOLFTHREEHARVEYBACKGROUNDMODEL_H

#include <iostream>
#include "BackgroundModel.h"
#include "Functions.h"

using namespace std;
using Eigen::ArrayXd;
typedef Eigen::Ref<Eigen::ArrayXd> RefArrayXd;


class GOLFThreeHarveyBackgroundModel : public BackgroundModel
{
    public:
    
        GOLFThreeHarveyBackgroundModel(const RefArrayXd covariates);
        ~GOLFThreeHarveyBackgroundModel();

        virtual void predict(RefArrayXd predictions, RefArrayXd const modelParameters){};
        virtual void predict(RefArrayXd predictions);


    protected:
        

    private:

}; 


#endif
