// Derived class for global background fit to the Sun.
// Created by Enrico Corsaro @ CEA - November 2015
// e-mail: emncorsaro@gmail.com
// Header file "VIRGOThreeHarveyBackgroundModel.h"
// Implementations contained in "VIRGOThreeHarveyBackgroundModel.cpp"


#ifndef VIRGOTHREEHARVEYBACKGROUNDMODEL_H
#define VIRGOTHREEHARVEYBACKGROUNDMODEL_H

#include <iostream>
#include "BackgroundModel.h"
#include "Functions.h"

using namespace std;
using Eigen::ArrayXd;
typedef Eigen::Ref<Eigen::ArrayXd> RefArrayXd;


class VIRGOThreeHarveyBackgroundModel : public BackgroundModel
{
    public:
    
        VIRGOThreeHarveyBackgroundModel(const RefArrayXd covariates);
        ~VIRGOThreeHarveyBackgroundModel();

        virtual void predict(RefArrayXd predictions, RefArrayXd const modelParameters){};
        virtual void predict(RefArrayXd predictions);


    protected:
        

    private:

}; 


#endif
